[Twisted-Python] Version support: a note

Moshe Zadka m at moshez.org
Sat Apr 26 03:17:08 EDT 2003

If we do decide to drop support for a widely-deployed version of Python,
it is my firm belief that we should make setup.py fail loudly when used
with those versions. If nothing else, it will make sure the Debian build
will never work until I actually remove the build of non-supported versions.
Which reminds me: please don't drop 2.1 support until sarge's freeze (not
release -- but post-freeze, I'll be assured of my new uploads not getting
into sarge, and I'd really like sarge's Twisted to support 2.1)

Moshe Zadka -- http://moshez.org/
Buffy: I don't like you hanging out with someone that... short.
Riley: Yeah, a lot of young people nowadays are experimenting with shortness.
Agile Programming Language -- http://www.python.org/

More information about the Twisted-Python mailing list